% (1) declare parameters as symbolic variables
syms Xpre kprod Eprod kdeg Edeg kdim Edim kdis Edis Ytot 
% ... and also the variables
syms X Y 

% (2) write the equations:
XY=Ytot-Y;
dXdt=Xpre*kprod*Eprod-X*kdeg*Edeg-X*Y*kdim*Edim+XY*kdis*Edis;
dYdt=-X*Y*kdim*Edim+XY*kdis*Edis;

% (3) obtain the steady states
[Xss, Yss]=solve([dXdt==0, dYdt==0], [X, Y]);