close all
clear all
clc

y0=[1 0]; % R(0), X(0)
tspan = [0 20];
figure;

for S=1:5:100;

[t,y] = ode45(@(t,y)adaptation_network(t,y,S),tspan,y0,S);
Rmax=max(y(:,1));

scatter(S, Rmax);
hold on
end;

xlabel('S');
ylabel('Rmax');


figure; 

%figure

plot(t, y(:,1),'b')
hold on
plot(t, y(:,2),'r')
xlabel('Time t');
ylabel('Adaptacin perfecta');
legend('Receptor', 'Controlador');



%%

% close all 
% clear all
% clc

y0=[1 0];
S=5;

tspan = [0 20];

[t,y] = ode45(@(t,y)negative_feedback_network(t,y,S),tspan,y0,S);


figure

plot(t, y(:,1),'b')
hold on
plot(t, y(:,2),'r')
xlabel('Time t');
ylabel('negative feedback');
legend('Receptor', 'Controlador');
%%

%%%% steady state does depend on the input!
%syms k1 k2 k3 k4 x1ss S
%solve(k1*S-k2*x1ss*x1ss*k3/k4==0, x1ss)


k1=2;
k2=2;
k3=1;
k4=1;


S=[0:1:100];
x1ss1=(S.^(1/2)*k1^(1/2)*k4^(1/2))/(k2^(1/2)*k3^(1/2));

x2ss2= -(S.^(1/2)*k1^(1/2)*k4^(1/2))/(k2^(1/2)*k3^(1/2));

figure;
plot(S, x1ss1);
xlabel('input S')
ylabel('output X1ss');


% softer input output relation. 
