close all
clear all
clc


texp=8.33; % horas
N0=1;
Nexp=0.5;

knd_calculated=@(N0,Nexp, texp)-log(Nexp/N0)./(texp);

knd=knd_calculated(N0, Nexp, texp);

Nt=@(N0, t, knd)N0*exp(-t.*knd);

figure;
t=[0:0.001:20];
plot(t, Nt(N0, t, knd))
ylim([0, 1]);
hold on
scatter([0, texp], [1, 0.5]);
xlabel('tiempo');
ylabel('N(t)');


%%%
Out=sum((Nt(N0, texp, knd)-Nexp ).^2); %squared error


